package area

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/area"
	"github.com/gin-gonic/gin"
)

// City @Title 获取城市数据
func (a *Area) City(c *gin.Context) {
	bean.Response.ResultSuc(c, "操作成功", area.AreaLogic.City())
}

type Area struct {
	Level uint   `json:"level"` //城市等级
	Name  string `json:"name"`  //  城市名称查找
}

// All @Title 获取省市区数据
func (a *Area) All(c *gin.Context) {
	bean.Response.ResultSuc(c, "操作成功", area.AreaLogic.All())
}

// List @Title 筛选省市区数据
func (a *Area) List(c *gin.Context) {
	args := Area{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	bean.Response.ResultSuc(c, "操作成功", area.AreaLogic.List(args.Level, args.Name))
}

// Version @Title 获取省市区数据版本
func (a *Area) Version(c *gin.Context) {
	bean.Response.ResultSuc(c, "操作成功", area.AreaLogic.Version())
}
