package app

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/app"
	"base/app/logic/broker/user"
	"github.com/gin-gonic/gin"
)

type Feedback struct {
}

// Submit @Title 提交意见
func (f *Feedback) Submit(c *gin.Context) {
	args := app.FeedbackSubmit{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	brokerInfo := user.UserLogic.GetBrokerInfo(c)
	if err := app.FeedbackLogic.Submit(&brokerInfo, args); err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", nil)
}
