package app

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/app"
	"github.com/gin-gonic/gin"
)

type Handbook struct {
}

// All @Title 获取手册
func (h *Handbook) All(c *gin.Context) {
	bean.Response.ResultSuc(c, "操作成功", app.HandbookLogic.All())
}

type argsHandbookInfo struct {
	ItemId uint `binding:"required" label:"手册"`
}

// Info @Title 手册详情
func (h *Handbook) Info(c *gin.Context) {
	args := argsHandbookInfo{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	result, err := app.HandbookLogic.Info(args.ItemId)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", result)
}
