package audit

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/audit"
	"base/app/logic/broker/user"
	"github.com/gin-gonic/gin"
)

type DealerAudit struct {
}

type argDealerAuditCount struct {
	Status uint // 1=待审核 2=审核通过 3=审核拒绝
}

// AuditCount @Title 审批统计
func (*DealerAudit) AuditCount(c *gin.Context) {
	args := argDealerAuditCount{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	bean.Response.ResultSuc(c, "操作成功", audit.DealerAuditLogic.DealerAuditCount(user.UserLogic.GetBrokerInfo(c).StoreId, args.Status))
}
