package business

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/business"
	"github.com/gin-gonic/gin"
)

type Business struct {
}

type argsBusinessAll struct {
	business.BusinessSearch
}

// AllBusiness @Title 获取全部入驻商
func (b *Business) AllBusiness(c *gin.Context) {
	var args = argsBusinessAll{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	bean.Response.ResultSuc(c, "操作成功", business.BusinessLogic.AllBusiness(args.BusinessSearch))
}

// AllStaff @Title 获取全部入驻商员工
func (b *Business) AllStaff(c *gin.Context) {
	var args = argsStaffAll{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	bean.Response.ResultSuc(c, "操作成功", business.BusinessLogic.AllStaff(args.StaffAllSearch))
}
