package car

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/car"
	"github.com/gin-gonic/gin"
)

type Model struct {
}

type argsModelAll struct {
	SeriesId uint `binding:"required" label:"车系"`
}

// All @Title 车系下所有车型
func (m *Model) All(c *gin.Context) {
	args := argsModelAll{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	bean.Response.ResultSuc(c, "操纵成功", car.ModelLogic.All(args.SeriesId))
}

type argsModelInfo struct {
	ModelId uint `binding:"required" label:"车型id"`
}

// Info @Title 车型详情
func (m *Model) Info(c *gin.Context) {
	args := argsModelInfo{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	result, err := car.ModelLogic.Info(args.ModelId)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}

	bean.Response.ResultSuc(c, "操作成功", result)
}
