package car

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/car"
	"github.com/gin-gonic/gin"
)

type Ocr struct {
}
type argsOcrVehicle struct {
	Path string `binding:"required" label:"行驶证"`
}

// Vehicle @Title 行驶证识别
func (o *Ocr) Vehicle(c *gin.Context) {
	args := argsOcrVehicle{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	vehicle, err := car.OcrLogic.Vehicle(args.Path)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", vehicle)
}

type argsOcrIdCard struct {
	Path string `binding:"required" label:"身份证"`
}

// IdCard @Title 身份证识别
func (o *Ocr) IdCard(c *gin.Context) {
	args := argsOcrIdCard{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	vehicle, err := car.OcrLogic.IdCard(args.Path)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", vehicle)
}

type argsOcrBankCard struct {
	Path string `binding:"required" label:"银行卡"`
}

// BankCard @Title 银行卡识别
func (o *Ocr) BankCard(c *gin.Context) {
	args := argsOcrBankCard{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	vehicle, err := car.OcrLogic.BankCard(args.Path)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", vehicle)
}
