package contract

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/contract"
	"github.com/gin-gonic/gin"
)

type Contract struct {
}

type argsFlowId struct {
	FLowId string
}

// EssSignUrl @Title 获取合同签署地址
func (*Contract) EssSignUrl(c *gin.Context) {
	args := argsFlowId{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	result, err := contract.ContractLogic.GetEssSignUrl(args.FLowId)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", gin.H{
		"url": result,
	})
}

type argsContractSn struct {
	ContractSn string
}

// EssFile @Title 获取最新合同文件
func (*Contract) EssFile(c *gin.Context) {
	args := argsContractSn{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	result, err := contract.ContractLogic.SaveEssFlowFile(args.ContractSn)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", gin.H{
		"file": result,
	})
}
