package customer

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/customer"
	"base/app/logic/broker/user"
	"github.com/gin-gonic/gin"
)

type Browse struct {
}
type argsBrowseLists struct {
	CustomerId uint `binding:"required" label:"客户"`
	bean.Page
}

// Lists @Title 浏览车辆列表
func (b *Browse) Lists(c *gin.Context) {
	args := argsBrowseLists{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	lists, total := customer.BrowseLogic.Lists([]uint{user.UserLogic.GetBrokerId(c)}, args.CustomerId, args.Page)
	bean.Response.ResultSuc(c, "操作成功", bean.ResultLists{
		List:  lists,
		Total: total,
	})
}
