package order

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/order"
	"base/app/logic/broker/user"
	"github.com/gin-gonic/gin"
)

type Invite struct {
}

// Add @Title 发起邀约
func (i *Invite) Add(c *gin.Context) {
	args := order.InviteAdd{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	if err := order.InviteLogic.Add(user.UserLogic.GetBrokerId(c), args); err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", nil)
}
