package playbill

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/playbill"
	"github.com/gin-gonic/gin"
)

type Playbill struct {
}

// Lists @Title 海报列表
func (p *Playbill) Lists(c *gin.Context) {
	args := bean.Page{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	lists, total := playbill.PlaybillLogic.Lists(args)
	bean.Response.ResultSuc(c, "操作成功", bean.ResultLists{
		List:  lists,
		Total: total,
	})
}
