package split

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/broker/split"
	"base/app/logic/broker/user"
	"github.com/gin-gonic/gin"
)

type Contact struct {
}

type argsContactAll struct {
	split.ContactSearch
}

// All 全部联系人
func (co *Contact) All(c *gin.Context) {
	var args = argsContactAll{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	list, err := split.ContactLogic.All(user.UserLogic.GetBrokerId(c), args.ContactSearch)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", list)
}

type argsUpdateCloselyBroker struct {
	BrokerIds []uint `binding:"required" label:"常用联系人id"`
}

// Update 更新常用联系人状态
func (co *Contact) Update(c *gin.Context) {
	var args = argsUpdateCloselyBroker{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	err := split.ContactLogic.Update(user.UserLogic.GetBrokerId(c), args.BrokerIds)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", nil)
}
