package car

import (
	"base/app/common"
	"base/app/config"
	"base/app/lib/bean"
	"base/app/logic/car"
	"github.com/gin-gonic/gin"
)

type Brand struct {
}
type argsBrandAll struct {
	IsHot bool `json:"isHot"`
}

// All @Title 获取品牌
func (b *Brand) All(c *gin.Context) {
	args := argsBrandAll{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	bean.Response.ResultSuc(c, "操作成功", car.BrandLogic.All(args.IsHot))
}

type argsBrandPopularize struct {
	Total int
}

// Popularize @Title 获取推广品牌
func (b *Brand) Popularize(c *gin.Context) {
	args := argsBrandPopularize{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	if args.Total == 0 {
		args.Total = config.Config.Setting.PopularizeBrandCount
	}
	bean.Response.ResultSuc(c, "操作成功", car.BrandLogic.Popularize(args.Total))
}
