package contract

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/customer/contract"
	"base/app/logic/customer/user"
	"github.com/gin-gonic/gin"
)

type Sale struct {
}
type argsSaleLists struct {
	contract.SaleSearch
	bean.Page
}

// Lists @Title 寄售合同列表
func (*Sale) Lists(c *gin.Context) {
	args := argsSaleLists{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	lists, total := contract.SaleLogic.Lists(user.UserLogic.GetCustomerId(c), args.SaleSearch, args.Page)
	bean.Response.ResultSuc(c, "操作成功", bean.ResultLists{
		List:  lists,
		Total: total,
	})
}
