package order

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/customer/order"
	"base/app/logic/customer/user"
	"github.com/gin-gonic/gin"
)

type Invite struct {
}

// Lists @Title 邀约列表
func (i *Invite) Lists(c *gin.Context) {
	args := bean.Page{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	lists, total := order.InviteLogic.Lists(user.UserLogic.GetCustomerId(c), args)
	bean.Response.ResultSuc(c, "操作成功", bean.ResultLists{
		List:  lists,
		Total: total,
	})
}
