package other

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/customer/other"
	"github.com/gin-gonic/gin"
)

type Other struct {
}

type argsH5ToWxAppCar struct {
	CarIds     []uint `binding:"required" label:"车辆id数组"`
	InviteCode string
}

// H5ToWxAppCar @Title h5跳转到看车
func (o *Other) H5ToWxAppCar(c *gin.Context) {
	args := argsH5ToWxAppCar{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	result, err := other.WxOtherLogic.H5ToWxAppCar(args.CarIds, args.InviteCode)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", result)
}
