package contract

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/manage/contract"
	"github.com/gin-gonic/gin"
)

type Business struct {
}

type argsBusinessLists struct {
	contract.BusinessSearch
	bean.Page
}

// Lists @Title 入驻商合同
func (s *Business) Lists(c *gin.Context) {
	args := argsBusinessLists{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	lists, total := contract.BusinessLogic.Lists(args.BusinessSearch, args.Page)
	bean.Response.ResultSuc(c, "操作成功", bean.ResultLists{
		List:  lists,
		Total: total,
	})
}
