package manage

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/manage"
	"base/app/logic/manage/user"
	"github.com/gin-gonic/gin"
)

type Login struct {
}

type argsLogin struct {
	Username string `binding:"required" label:"用户名"`
	Password string `binding:"required,min=6" label:"密码"`
}

// Login @Title 登录
func (l *Login) Login(c *gin.Context) {
	args := argsLogin{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	login, err := manage.LoginLogic.Login(args.Username, args.Password)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "登录成功", &login)
}

// Logout @Title 退出登录
func (l *Login) Logout(c *gin.Context) {
	userId := user.ManageLogic.GetManageId(c)
	if userId == 0 {
		bean.Response.ResultSuc(c, "退出成功", nil)
		return
	}
	manage.LoginLogic.Logout(userId)
	bean.Response.ResultSuc(c, "退出成功", nil)
}
