package order

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/manage/order"
	"github.com/gin-gonic/gin"
)

type CallCar struct {
}

type argsCallCarLists struct {
	order.CallCarSearch
	bean.Page
}

// Lists @Title 叫车订单列表
func (*CallCar) Lists(c *gin.Context) {
	args := argsCallCarLists{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	lists, total := order.CallCarLogic.Lists(args.CallCarSearch, args.Page)
	bean.Response.ResultSuc(c, "操作成功", bean.ResultLists{
		List:  lists,
		Total: total,
	})
}

type argsCallCarInfo struct {
	OrderId uint `binding:"required" label:"订单"`
}

// Info @Title 订单详情
func (*CallCar) Info(c *gin.Context) {
	args := argsCallCarInfo{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	result, err := order.CallCarLogic.Info(args.OrderId)
	if err != nil {
		bean.Response.ResultFail(c, 10002, err.Error())
		return
	}
	bean.Response.ResultSuc(c, "操作成功", result)
}
