package order

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/manage/order"
	"github.com/gin-gonic/gin"
)

type DealerConsignment struct {
}
type argsDealerConsignmentLists struct {
	order.DealerConsignmentSearch
	bean.Page
}

// Lists @Title 车身寄卖列表
func (d *DealerConsignment) Lists(c *gin.Context) {
	args := argsDealerConsignmentLists{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	lists, total := order.DealerConsignmentLogic.Lists(args.DealerConsignmentSearch, args.Page)
	bean.Response.ResultSuc(c, "操作成功", bean.ResultLists{
		List:  lists,
		Total: total,
	})
}
