package partner

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/manage/partner"
	"github.com/gin-gonic/gin"
)

type Partner struct {
}
type argsPartnerLists struct {
	partner.PartnerListsSearch
	bean.Page
}

// Lists @Title 合伙人列表
func (p *Partner) Lists(c *gin.Context) {
	args := argsPartnerLists{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	lists, total := partner.PartnerLogic.Lists(args.PartnerListsSearch, args.Page)
	bean.Response.ResultSuc(c, "操作成功", bean.ResultLists{
		List:  lists,
		Total: total,
	})
}
