package user

import (
	"base/app/common"
	"base/app/lib/bean"
	"base/app/logic/manage/setting"
	"base/app/logic/manage/user"
	"github.com/gin-gonic/gin"
)

type Manage struct {
}
type argsManageRepass struct {
	OldPass string `binding:"required,min=6" label:"旧密码"`
	NewPass string `binding:"required,min=6" label:"新密码"`
}

// Repass @Title 重设密码
func (m *Manage) Repass(c *gin.Context) {
	args := argsManageRepass{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	menus := user.ManageLogic.Repass(user.ManageLogic.GetManageId(c), args.OldPass, args.NewPass)
	bean.Response.ResultSuc(c, "操作成功", menus)
}

type argsManageUpdate struct {
	Name string `binding:"required" label:"姓名"`
}

// Update @Title 更新账号信息
func (m *Manage) Update(c *gin.Context) {
	args := argsManageUpdate{}
	if err := c.ShouldBind(&args); err != nil {
		bean.Response.ResultFail(c, 10001, common.GetVerErr(err))
		return
	}
	menus := user.ManageLogic.Update(user.ManageLogic.GetManageId(c), args.Name)
	bean.Response.ResultSuc(c, "操作成功", menus)
}

// Menu @Title 获取用户菜单
func (m *Manage) Menu(c *gin.Context) {
	bean.Response.ResultSuc(c, "操作成功", setting.MenuLogic.All())
}
