package ali

import (
	"encoding/json"
	"errors"
	client3 "github.com/alibabacloud-go/darabonba-openapi/client"
	client2 "github.com/alibabacloud-go/dysmsapi-20170525/v2/client"
)

var Sms = &sms{}

type sms struct {
	accessKey    string
	accessSecret string
	client       *client2.Client
}

// InitSms @Title 初始化短信配置
func InitSms(accessKeyId, accessKeySecret, endpoint string) (err error) {
	Sms.client, err = client2.NewClient(&client3.Config{
		AccessKeyId:     &accessKeyId,
		AccessKeySecret: &accessKeySecret,
		Endpoint:        &endpoint,
	})
	if err != nil {
		return
	}
	return
}

// Send @Title 发送短信
func (s *sms) Send(templateCode, sign, phone string, params map[string]interface{}) error {
	marshal, _ := json.Marshal(&params)
	strParams := string(marshal)
	sendSms, err := s.client.SendSms(&client2.SendSmsRequest{
		SignName:      &sign,
		TemplateCode:  &templateCode,
		PhoneNumbers:  &phone,
		TemplateParam: &strParams,
	})
	if err != nil {
		return err
	}
	if *sendSms.Body.Code != "OK" {
		return errors.New(*sendSms.Body.Message)
	}
	return nil
}
