package invite

import (
	"strings"
)

var (
	chars          = "6Z9SFKHE3UN2JPA78LTM4QCXDGYVRBW5"
	charsLen       = 32
	slat           = 1234561
	charsDeviation = 3
)

// InitInvite @Title 初始化
func InitInvite(newChars string, newSlat, newCharsDeviation int) {
	chars = newChars
	charsLen = len(chars)
	slat = newSlat
	charsDeviation = newCharsDeviation
}

// Gen @Title 生成邀请码
func Gen(id, length int) string {
	var temp []int
	for i := 0; i < length; i++ {
		temp = append(temp, 0)
	}
	temp[0] = id*charsDeviation + slat
	for i := 0; i < length-1; i++ {
		temp[i+1] = temp[i] / charsLen
		temp[i] = (temp[i] + i*temp[0]) % charsLen
	}
	sum := 0
	for i := 0; i < length-1; i++ {
		sum += temp[i]
	}
	temp[length-1] = sum * charsDeviation % charsLen

	s := ""
	for index, _ := range temp {
		s += string(chars[temp[index*(length+1)%length]])
	}
	return s
}

// Decode @Title 解码id
func Decode(code string) int {
	codeLen := len(code)
	var temp1, temp2 []int
	for i := 0; i < codeLen; i++ {
		temp1 = append(temp1, 0)
		temp2 = append(temp2, 0)
	}
	for i := 0; i < codeLen; i++ {
		temp1[i*(codeLen+1)%codeLen] = strings.IndexByte(chars, code[i])
	}
	for i := codeLen - 2; i >= 0; i-- {
		temp2[i] = (temp1[i] - temp1[0]*i + charsLen*i) % charsLen
	}

	id := 0
	for i := codeLen - 2; i >= 0; i-- {
		id += temp2[i]
		if i > 0 {
			id *= charsLen
		}
	}
	return (id - slat) / charsDeviation
}
