package tel

import (
	"encoding/base64"
	"encoding/json"
	"fmt"
	"log"
)

var Api = &api{}

type api struct {
	url           string
	appId         string
	authorization string
	expiration    uint
	record        string
	bindType      string
}

// InitTel @Title 初始化配置
func InitTel(url, appId, secret, record, bindType string, expiration uint) {
	Api.url = url
	Api.appId = appId
	Api.record = record
	Api.bindType = bindType
	Api.expiration = expiration
	Api.authorization = base64.StdEncoding.EncodeToString([]byte(fmt.Sprintf("%s:%s", appId, secret)))
	return
}

// Binding @Title 绑定
func (a *api) Binding(orderSn, telA, telB string, areaCode uint) {
	a.exec("binding", map[string]interface{}{
		"telB":       telB,
		"telA":       telA,
		"requestId":  orderSn,
		"areaCode":   areaCode,
		"expiration": a.expiration,
		"record":     a.record,
		"bindtype":   a.bindType,
	})
}

// @Title 调用接口
func (a *api) exec(action string, data map[string]interface{}) {
	data["APPID"] = a.appId
	log.Println(data)
	jsonData, _ := json.Marshal(&data)
	bytes, err := request(post, a.url+action, string(jsonData), map[string]string{
		"Authorization": "Basic " + a.authorization,
	})
	log.Println(string(bytes), err)
}
