package app

import (
	"base/app/constant"
	"base/app/model"
	"errors"
	"fmt"
	"git.oa00.com/go/mysql"
	"git.oa00.com/go/redis"
)

var AppLogic = &appLogic{}

type appLogic struct {
}

// Get @Title 获取应用版本信息
func (a *appLogic) Get(key string) (result model.App, err error) {
	redisKey := fmt.Sprintf(constant.AppVersionHistory, key)
	if err := redis.Redis.GetStruct(redisKey, &result); err != nil {
		if mysql.Db.Where("key = ?", key).First(&result).Error != nil {
			return result, errors.New("app错误")
		}
		redis.Redis.SetStruct(redisKey, result, 0)
	}
	return
}
