package app

import (
	"base/app/model"
	"errors"
	"git.oa00.com/go/mysql"
)

var FeedbackLogic = &feedbackLogic{}

type feedbackLogic struct {
}
type FeedbackSubmit struct {
	Title   string `binding:"required" label:"标题"`
	Content string `binding:"required" label:"内容"`
	Phone   string `binding:"required" label:"手机号"`
	Img     string
}

// Submit @Title 提交意见
func (f *feedbackLogic) Submit(broker *model.Broker, data FeedbackSubmit) error {
	feedback := model.Feedback{
		BrokerId: broker.Id,
		Name:     broker.Nickname,
		Title:    data.Title,
		Content:  data.Content,
		Phone:    data.Phone,
		Img:      data.Img,
	}
	if mysql.Db.Create(&feedback).Error != nil {
		return errors.New("提交失败")
	}
	return nil
}
