package audit

import (
    "base/app/constant"
    "base/app/model"
    "git.oa00.com/go/mysql"
)

var DealerAuditLogic = &dealerAuditLogic{}

type dealerAuditLogic struct {
}

type auditCount struct {
    PublishCount int64 `json:"publishCount"`
    //UpperCount       int64 `json:"upperCount"`
    //DownCount        int64 `json:"downCount"`
    EditCount int64 `json:"editCount"`
    //ConsignmentCount int64 `json:"consignmentCount"`
    PurchaseCount int64 `json:"purchaseCount"`
    SaleCount     int64 `json:"saleCount"`
}

// DealerAuditCount @Title 审批统计
func (d *dealerAuditLogic) DealerAuditCount(dealerId, status uint) (result auditCount) {
    var auditStatus uint
    switch status {
    case 1: // 待审核
        auditStatus = constant.AuditStatusWaiting
    case 2: // 审核通过
        auditStatus = constant.AuditStatusAdopt
    case 3: // 审核拒绝
        auditStatus = constant.AuditStatusReject
    default:
        auditStatus = constant.AuditStatusWaiting
    }
    mysql.Db.Model(&model.DealerAuditing{}).
        Select(
            "count(if(type = ?,1,null)) publish_count,"+
                //"count(if(type = ?,1,null)) upper_count,"+
                //"count(if(type = ?,1,null)) down_count,"+
                "count(if(type = ?,1,null)) edit_count,"+
                //"count(if(type = ?,1,null)) consignment_count,"+
                "count(if(type = ?,1,null)) purchase_count,"+
                "count(if(type = ?,1,null)) sale_count",
            model.DealerAuditingTypePublish,
            //model.DealerAuditingTypeUpper,
            //model.DealerAuditingTypeDown,
            model.DealerAuditingTypeEdit,
            //model.DealerAuditingTypeConsignment,
            model.DealerAuditingTypePurchase,
            model.DealerAuditingTypeSale,
        ).Where("dealer_id = ? and status = ?", dealerId, auditStatus).
        First(&result)

    return
}
