package customer

import (
	"base/app/lib/bean"
	"base/app/model"
	"git.oa00.com/go/mysql"
	"github.com/shopspring/decimal"
)

var BrowseLogic = &browseLogic{}

type browseLogic struct {
}

type browseItem struct {
	CarId         uint            `json:"carId"`
	MainPhoto     string          `json:"mainPhoto"`
	ModelName     string          `json:"modelName"`
	LicensingDate int64           `json:"licensingDate"`
	Mileage       decimal.Decimal `json:"mileage"`
	Price         decimal.Decimal `json:"price"`
	Channel       uint            `json:"channel"`
	CarType       uint            `json:"carType"`
	CreatedAt     int64           `json:"createdAt"`
}

// Lists @Title 浏览车辆列表
func (b *browseLogic) Lists(brokerIds []uint, customerId uint, page bean.Page) (lists []browseItem, total int64) {
	lists = []browseItem{}
	var browseCars []model.CustomerBrowseCar
	where := mysql.Db.Where("customer_id in (?)", mysql.Db.Model(&model.Customer{}).Select("id").Where("id = ? and broker_id in ?", customerId, brokerIds))
	mysql.Db.Model(&browseCars).Where(where).Count(&total)
	if page.HasPage(total) {
		mysql.Db.Preload("Car.Model").Where(where).Offset(page.GetStart()).Limit(page.GetLimit()).Order("id desc").Find(&browseCars)
		for _, browseCar := range browseCars {
			lists = append(lists, browseItem{
				CarId:         browseCar.CarId,
				MainPhoto:     browseCar.Car.MainPhoto,
				ModelName:     browseCar.Car.Model.Name,
				LicensingDate: browseCar.Car.LicensingDate.Time.Unix(),
				Mileage:       browseCar.Car.Mileage,
				Price:         browseCar.Car.Price,
				Channel:       browseCar.Channel,
				CarType:       browseCar.Car.Type,
				CreatedAt:     browseCar.CreatedAt.Unix(),
			})
		}
	}
	return
}
