package dealer

import (
	"base/app/model"
	"git.oa00.com/go/mysql"
)

var DealerLogic = &dealerLogic{}

type dealerLogic struct {
}
type dealerItem struct {
	Id           uint   `json:"id"`
	Name         string `json:"name"`
	Liaison      string `json:"liaison"`
	LiaisonPhone string `json:"liaisonPhone"`
	CreatedAt    int64  `json:"createdAt"`
	BrokerName   string `json:"brokerName"`
}

// Select @Title 车商筛选
func (d *dealerLogic) Select(brokerId uint) (result []dealerItem) {
	result = []dealerItem{}
	var dealers []model.Dealer
	mysql.Db.Preload("Broker.Staff").Where("broker_id = ? and status = ?", brokerId, model.DealerStatusEnabled).Find(&dealers)
	for _, dealer := range dealers {
		result = append(result, dealerItem{
			Id:           dealer.Id,
			Name:         dealer.Name,
			Liaison:      dealer.Liaison,
			LiaisonPhone: dealer.LiaisonPhone,
			CreatedAt:    dealer.CreatedAt.Unix(),
			BrokerName:   dealer.Broker.Staff.Name,
		})
	}
	return
}
