package playbill

import (
	"base/app/lib/bean"
	"base/app/model"
	"git.oa00.com/go/mysql"
	"github.com/shopspring/decimal"
)

var PlaybillLogic = &playbillLogic{}

type playbillLogic struct {
}
type playbillItem struct {
	Id    uint            `json:"id"`
	Path  string          `json:"path"`
	AxisX decimal.Decimal `json:"axisX"`
	AxisY decimal.Decimal `json:"axisY"`
	Size  decimal.Decimal `json:"size"`
}

// Lists @Title 海报列表
func (p *playbillLogic) Lists(page bean.Page) (lists []playbillItem, total int64) {
	lists = []playbillItem{}
	var playbills []model.Playbill
	where := mysql.Db.Where("status = ?", model.PlaybillStatusEnabled)
	mysql.Db.Model(&playbills).Where(where).Count(&total)
	if page.HasPage(total) {
		mysql.Db.Where(where).Offset(page.GetStart()).Limit(page.GetLimit()).Order("sort,id desc").Find(&playbills)
		for _, playbill := range playbills {
			lists = append(lists, playbillItem{
				Id:    playbill.Id,
				Path:  playbill.Path,
				AxisX: playbill.AxisX,
				AxisY: playbill.AxisY,
				Size:  playbill.Size,
			})
		}
	}
	return
}
