package car

import (
	"base/app/model"
	"git.oa00.com/go/mysql"
)

var BrandLogic = &brandLogic{}

type brandLogic struct {
}
type brandAllItem struct {
	Id      uint   `json:"id"`
	BrandId uint   `json:"brandId"`
	Icon    string `json:"icon"`
	Name    string `json:"name"`
	Initial string `json:"initial"`
}

// All @Title 获取品牌
func (b *brandLogic) All(isHot bool) (result []brandAllItem) {
	var brands []model.CarBrand
	where := mysql.Db
	if isHot {
		where = where.Where("is_hot = ?", model.CarBrandIsHot)
	}
	mysql.Db.Where(where).Where("status = ?", model.CarBrandStatusEnabled).Find(&brands)
	for _, brand := range brands {
		brandItem := brandAllItem{
			Id:      brand.Id,
			BrandId: brand.BrandId,
			Icon:    brand.Icon,
			Name:    brand.Name,
			Initial: brand.Initial,
		}
		result = append(result, brandItem)
	}
	return
}

// Popularize @Title 获取推广品牌
func (b *brandLogic) Popularize(total int) (result []brandAllItem) {
	result = []brandAllItem{}
	var popularizeCarBrands []model.PopularizeCarBrand
	mysql.Db.Preload("Brand").
		Where("brand_id in (?)", mysql.Db.Model(&model.CarBrand{}).Select("id").Where("status = ?", model.CarBrandStatusEnabled)).
		Limit(total).Order("sort desc").Find(&popularizeCarBrands)
	for _, popularizeCarBrand := range popularizeCarBrands {
		brandItem := brandAllItem{
			Id:      popularizeCarBrand.Brand.Id,
			Icon:    popularizeCarBrand.Brand.Icon,
			Name:    popularizeCarBrand.Brand.Name,
			Initial: popularizeCarBrand.Brand.Initial,
		}
		result = append(result, brandItem)
	}
	return
}
