package car

import (
	"base/app/config"
	"base/app/lib/ali"
	"base/app/lib/che300"
)

var OcrLogic = &ocrLogic{}

type ocrLogic struct {
}

type vehicleAllInfo struct {
	Vehicle  ali.VehicleInfo        `json:"vehicle"`
	VinModel []che300.ModelInfoItem `json:"vinModel"`
}

// Vehicle @Title 行驶证识别
func (o *ocrLogic) Vehicle(path string) (vehicleAllInfo vehicleAllInfo, err error) {
	//vehicleAllInfo.Vehicle, err = ali.Ocr.Vehicle(config.Config.Upload.Cdn + path)
	ocr, err := ali.Ocr.AliOcrVehicle(config.Config.Upload.Cdn + path)
	vehicleAllInfo.Vehicle = ali.VehicleInfo{
		Owner:     ocr.Owner,
		Engineno:  ocr.EngineNumber,
		Cartype:   ocr.Model,
		Address:   ocr.Address,
		Lstype:    ocr.VehicleType,
		Lsnum:     ocr.LicensePlateNumber,
		Regdate:   ocr.RegistrationDate,
		Vin:       ocr.VinCode,
		Issuedate: ocr.IssueDate,
		Usetype:   ocr.UseNature,
	}
	vehicleAllInfo.VinModel, _ = che300.Api.VinModel(vehicleAllInfo.Vehicle.Vin)
	return
}

// IdCard @Title 身份证识别
func (o *ocrLogic) IdCard(path string) (idCardInfo ali.IdCardInfo, err error) {
	idCardInfo, err = ali.Ocr.IdCard(config.Config.Upload.Cdn + path)
	//ocrRes, err := ali.Ocr.AliOcrIdCard(config.Config.Upload.Cdn + path)
	//idCardInfo = ali.IdCardInfo{
	//	Number:  ocrRes.IdNumber,
	//	Address: ocrRes.Address,
	//	Nation:  ocrRes.Ethnicity,
	//	Sex:     ocrRes.Sex,
	//	Name:    ocrRes.Name,
	//	Birth:   ocrRes.BirthDate,
	//}
	return
}

// BankCard @Title 银行卡识别
func (o *ocrLogic) BankCard(path string) (bankCardInfo ali.BankCardInfo, err error) {
	ocrRes, err := ali.Ocr.AliOcrBankCard(config.Config.Upload.Cdn + path)
	bankCardInfo = ali.BankCardInfo{
		BankCardNo:   ocrRes.CardNumber,
		BankName:     ocrRes.BankName,
		BankCardType: ocrRes.CardType,
	}
	return
}
