package car

import (
	"base/app/model"
	"git.oa00.com/go/mysql"
)

var SeriesLogic = &seriesLogic{}

type seriesLogic struct {
}
type seriesGroupItem struct {
	Id     uint         `json:"id"`
	Name   string       `json:"name"`
	Series []seriesItem `json:"series"`
}
type seriesItem struct {
	Id       uint   `json:"id"`
	SeriesId uint   `json:"seriesId"`
	Name     string `json:"name"`
}

// All @Title 品牌下所有车系
func (s *seriesLogic) All(brandId uint) (result []seriesGroupItem) {
	result = []seriesGroupItem{}
	var seriesGroups []model.CarSeriesGroup
	mysql.Db.Preload("Series").Where("brand_id = ?", brandId).Find(&seriesGroups)
	for _, seriesGroup := range seriesGroups {
		item := seriesGroupItem{
			Id:     seriesGroup.Id,
			Name:   seriesGroup.Name,
			Series: []seriesItem{},
		}
		for _, series := range seriesGroup.Series {
			item.Series = append(item.Series, seriesItem{
				Id:       series.Id,
				SeriesId: series.SeriesId,
				Name:     series.Name,
			})
		}
		result = append(result, item)
	}
	return
}
