package order

import (
	"base/app/lib/bean"
	"base/app/model"
	"git.oa00.com/go/mysql"
	"github.com/shopspring/decimal"
)

var InviteLogic = &inviteLogic{}

type inviteLogic struct {
}
type inviteItem struct {
	Id            uint            `json:"id"`
	CarId         uint            `json:"carId"`
	MainPhoto     string          `json:"mainPhoto"`
	ModelName     string          `json:"modelName"`
	Type          uint            `json:"type"`
	LicensingDate int64           `json:"licensingDate"`
	Mileage       decimal.Decimal `json:"mileage"`
	Transfer      uint            `json:"transfer"`
	Price         decimal.Decimal `json:"price"`
	InviteAt      int64           `json:"inviteAt"`
	Address       string          `json:"address"`
	CreatedAt     int64           `json:"createdAt"`
}

// Lists @Title 邀约列表
func (i *inviteLogic) Lists(customerId uint, page bean.Page) (lists []inviteItem, total int64) {
	lists = []inviteItem{}
	var invites []model.OrderInvite
	where := mysql.Db.Where("customer_id = ?", customerId)
	mysql.Db.Model(&invites).Where(where).Count(&total)
	if page.HasPage(total) {
		mysql.Db.Preload("Car.Model").Where(where).Offset(page.GetStart()).Limit(page.GetLimit()).Order("id desc").Find(&invites)
		for _, invite := range invites {
			lists = append(lists, inviteItem{
				Id:            invite.Id,
				CarId:         invite.CarId,
				MainPhoto:     invite.Car.MainPhoto,
				ModelName:     invite.Car.Model.Name,
				Type:          invite.Car.Type,
				LicensingDate: invite.Car.LicensingDate.Time.Unix(),
				Mileage:       invite.Car.Mileage,
				Transfer:      invite.Car.Transfer,
				Price:         invite.Car.Price,
				InviteAt:      invite.InviteAt.Unix(),
				Address:       invite.Address,
				CreatedAt:     invite.CreatedAt.Unix(),
			})
		}
	}
	return
}
