package record

import (
	"base/app/model"
	"errors"
	"git.oa00.com/go/mysql"
	"gorm.io/gorm"
)

var TrailLogic = &trailLogic{}

type trailLogic struct {
}
type TrailData struct {
	CustomerId    uint
	Type          string
	InitiatorId   uint
	InitiatorType uint
	ContentType   uint
	ContentId     uint
	Content       string
}

// Add @Title 添加轨迹
func (t *trailLogic) Add(tx *gorm.DB, data TrailData) error {
	initiatorName := ""
	switch data.InitiatorType {
	case model.CustomerTrailInitiatorTypeCustomer: // 客户
		customer := model.Customer{Id: data.InitiatorId}
		mysql.Db.First(&customer)
		initiatorName = customer.Nickname
	case model.CustomerTrailInitiatorTypeBroker: // 经纪人
		broker := model.Broker{Id: data.InitiatorId}
		mysql.Db.First(&broker)
		initiatorName = broker.Nickname
	}
	trail := model.CustomerTrail{
		CustomerId:    data.CustomerId,
		Type:          data.Type,
		InitiatorId:   data.InitiatorId,
		InitiatorName: initiatorName,
		InitiatorType: data.InitiatorType,
		ContentType:   data.ContentType,
		ContentId:     data.ContentId,
		Content:       data.Content,
	}
	if tx.Create(&trail).Error != nil {
		return errors.New("系统错误")
	}
	if tx.Model(&model.Customer{}).Where("id = ?", data.CustomerId).UpdateColumn("trail_id", trail.Id).Error != nil {
		return errors.New("系统错误")
	}
	return nil
}
