package manage

import (
	"base/app/common"
	"base/app/model"
	"errors"
	"git.oa00.com/go/mysql"
)

var LoginLogic = &loginLogic{}

type loginLogic struct {
}
type LoginInfo struct {
	Token  string `json:"token"`
	Manage manage `json:"manage"`
}

type manage struct {
	Id   uint   `json:"id"`
	Name string `json:"name"`
}

// Login @Title 登录
func (l *loginLogic) Login(username, password string) (result LoginInfo, err error) {
	manage := model.Manage{Account: username}
	if mysql.Db.Where(&manage).First(&manage).Error != nil {
		return result, errors.New("账号密码错误")
	}
	if common.GetPassword(password, manage.Salt) != manage.Password {
		return result, errors.New("账号密码错误")
	}
	result.Token, err = l.login(manage.Id)
	result.Manage.Id = manage.Id
	result.Manage.Name = manage.Name
	if err != nil {
		return
	}
	return
}

// @Title 处理登录
func (l *loginLogic) login(manageId uint) (string, error) {
	manageToken := model.ManageToken{
		ManageId: manageId,
	}
	token := common.RandStr(64)
	if mysql.Db.Where(&manageToken).First(&manageToken).Error != nil {
		manageToken.Token = token
		if mysql.Db.Create(&manageToken).Error != nil {
			return "", errors.New("登录失败")
		}
	} else {
		manageToken.Token = token
		if mysql.Db.Updates(&manageToken).Error != nil {
			return "", errors.New("登录失败")
		}
	}
	return token, nil
}

// Logout @Title 退出登录
func (l *loginLogic) Logout(userId uint) {
	manageToken := model.ManageToken{}
	mysql.Db.Model(&manageToken).Where("manage_id = ?", userId).UpdateColumn("token", "")
}

// Auth @Title 验证登录
func (l *loginLogic) Auth(token string) (uint, error) {
	manageToken := model.ManageToken{Token: token}
	if mysql.Db.Where(&manageToken).First(&manageToken).Error != nil {
		return 0, errors.New("登录超时")
	}
	return manageToken.ManageId, nil
}
