package partner

import (
	"base/app/lib/bean"
	"base/app/model"
	"git.oa00.com/go/mysql"
)

var PartnerLogic = &partnerLogic{}

type partnerLogic struct {
}
type partnerItem struct {
	Id         uint   `json:"id"`
	Nickname   string `json:"nickname"`
	Phone      string `json:"phone"`
	ExpireDate int64  `json:"expireDate"`
}
type PartnerListsSearch struct {
}

// Lists @Title 合伙人列表
func (p *partnerLogic) Lists(search PartnerListsSearch, page bean.Page) (lists []partnerItem, total int64) {
	lists = []partnerItem{}
	var partners []model.BrokerPartner
	where := mysql.Db
	mysql.Db.Model(&partners).Where(where).Count(&total)
	if page.HasPage(total) {
		mysql.Db.Preload("Broker").Where(where).Offset(page.GetStart()).Limit(page.GetLimit()).Find(&partners)
		for _, partner := range partners {
			lists = append(lists, partnerItem{
				Id:         partner.Id,
				Nickname:   partner.Broker.Nickname,
				Phone:      partner.Broker.Phone,
				ExpireDate: partner.ExpireDate.Unix(),
			})
		}
	}
	return
}
