package setting

import (
	"base/app/model"
	"errors"
	"git.oa00.com/go/mysql"
	"github.com/shopspring/decimal"
)

var ParameterLogic = &parameterLogic{}

type parameterLogic struct {
}

// Edit @Title 编辑
func (p *parameterLogic) Edit(rate decimal.Decimal) error {
	if rate.LessThanOrEqual(decimal.NewFromFloat(0.00)) || rate.GreaterThanOrEqual(decimal.NewFromFloat(1.00)) {
		return errors.New("系数不合法")
	}
	system := SystemLogic.GetSystem()
	if mysql.Db.Model(&model.SettingSystem{}).Where(system).UpdateColumns(map[string]interface{}{
		"car_price_rate": rate,
	}).RowsAffected != 1 {
		return errors.New("编辑失败")
	}
	return nil
}
