package user

import (
	"base/app/common"
	"base/app/model"
	"errors"
	"git.oa00.com/go/mysql"
	"github.com/gin-gonic/gin"
	"gorm.io/gorm"
)

var ManageLogic = &manageLogic{}

type manageLogic struct {
}

// Repass @Title 重设密码
func (u *manageLogic) Repass(manageId uint, oldPass, newPass string) error {
	manage := model.Manage{Id: manageId}
	if mysql.Db.First(&manage).Error != nil {
		return errors.New("账号错误")
	}
	if common.GetPassword(oldPass, manage.Salt) != manage.Password {
		return errors.New("密码错误")
	}
	return mysql.Db.Transaction(func(tx *gorm.DB) error {
		manage.Password = common.GetPassword(newPass, manage.Salt)
		if tx.Updates(&manage).Error != nil {
			return errors.New("重设密码错误")
		}
		if tx.Where("manage_id = ?", manageId).Delete(&model.ManageToken{}).Error != nil {
			return errors.New("重设密码错误")
		}
		return nil
	})
}

// Update @Title 更新账号信息
func (u *manageLogic) Update(manageId uint, name string) error {
	if mysql.Db.Model(&model.Manage{Id: manageId}).UpdateColumns(map[string]interface{}{
		"name": name,
	}).Error != nil {
		return errors.New("更新失败")
	}
	return nil
}

// GetManageId @Title 获取登录账号id
func (u *manageLogic) GetManageId(c *gin.Context) (manageId uint) {
	if val, ok := c.Get("manageId"); ok && val != nil {
		manageId, _ = val.(uint)
	}
	return manageId
}

// GetManageInfo @Title 获取登录账号信息
func (u *manageLogic) GetManageInfo(c *gin.Context) (manage model.Manage) {
	if val, ok := c.Get("manage"); ok && val != nil {
		manage, _ = val.(model.Manage)
	}
	return
}
