package model

import (
	"database/sql"
	"time"
)

const (
	BrokerBusinessStoreStaffAuditStatusSubmit = 1 // 提交审核
	BrokerBusinessStoreStaffAuditStatusSuc    = 2 // 审核通过
	BrokerBusinessStoreStaffAuditStatusFail   = 3 // 审核驳回
)

type BrokerBusinessStoreStaffAudit struct {
	Id           uint                      `gorm:"primaryKey"`
	StaffId      uint                      // 子账户id
	Staff        *BrokerBusinessStoreStaff `gorm:"foreignKey:StaffId"`
	Status       uint                      // 1=未审核 2=审核通过 3=审核驳回
	AuditAt      sql.NullTime              // 审核时间
	Reason       string                    // 驳回原因
	AuditUserId  uint                      // 审核人
	AuditingUser Manage                    `gorm:"foreignKey:AuditUserId"`
	CreatedAt    time.Time
	UpdatedAt    time.Time
}
