package model

import (
	"github.com/shopspring/decimal"
	"time"
)

type BrokerCarFastPrice struct {
	Id            uint            `gorm:"primaryKey"`
	BrokerId      uint            // 经纪人id
	PriceId       uint            // 车辆价格id
	ModelId       uint            // 车型id
	Model         CarModel        `gorm:"foreignKey:ModelId;references:ModelId"`
	LicensingDate time.Time       // 上牌日期
	CityId        uint            // 车300城市ID
	City          City            `gorm:"foreignKey:CityId;references:CityId"`
	LicensePlate  string          // 车牌
	Color         string          // 车身颜色
	Mileage       decimal.Decimal // 里程
	Price         decimal.Decimal // 估算价格
	CreatedAt     time.Time
}
