package model

import (
	"github.com/shopspring/decimal"
	"time"
)

type BrokerCarPrice struct {
	Id            uint            `gorm:"primaryKey"`
	BrokerId      uint            // 经纪人id
	PriceId       uint            // 车辆价格id
	Vin           string          // 车架号
	ModelId       uint            // 车型id
	Model         CarModel        `gorm:"foreignKey:ModelId;references:ModelId"`
	LicensingDate time.Time       // 上牌日期
	LicensePlate  string          // 车牌
	CityId        uint            // 车300城市ID
	City          City            `gorm:"foreignKey:CityId;references:CityId"`
	Color         string          // 车身颜色
	Engine        string          // 发动机号
	Mileage       decimal.Decimal // 里程
	Source        uint            // 车辆来源 1=个人直卖 2=车商 3=收购
	Transfer      uint            // 过户次数
	Paint         uint            // 油漆修复面数
	Plate         uint            // 钣金修复面数
	Parts         string          // 更换部件
	EngineStatus  uint            // 发动机状态
	Accidents     string          // 重大事故
	Maintain      uint            // 按时保养 0=未按时保养 1=按时保养
	ShamMileage   uint            // 虚假里程 1=非虚假 2=虚假
	Score         decimal.Decimal // 计算分值
	Discount      decimal.Decimal // 折扣
	Price         decimal.Decimal // 估算价格
	FinalPrice    decimal.Decimal // 到手价格
	CreatedAt     time.Time
}
