package model

import (
	"github.com/shopspring/decimal"
	"time"
)

const (
	CarAdjustPriceHistoryTypeConsignment = 1  // 个人寄售调价
	CarAdjustPriceHistoryTypeDealer      = 2  // 车商调价
	CarAdjustPriceHistoryTypeInit        = 11 // 初始价格
)

type CarAdjustPriceHistory struct {
	Id               uint `gorm:"primaryKey"`
	CarId            uint
	Type             uint // 1=个人寄售调价 2=车商调价
	OperatorId       uint
	InteriorPrice    decimal.Decimal
	ExteriorPrice    decimal.Decimal
	PreInteriorPrice decimal.Decimal
	PreExteriorPrice decimal.Decimal
	Description      string
	CreatedAt        time.Time
	UpdatedAt        time.Time
}
