package model

import (
	"time"
)

const (
	CarBrandStatusEnabled  = 1 // 启用
	CarBrandStatusDisabled = 2 // 停用

	CarBrandIsHot      = 1 // 热门
	CarBrandIsHotFalse = 0 //非热门
)

type CarBrand struct {
	Id           uint `gorm:"primaryKey"`
	BrandId      uint
	Icon         string // 品牌图标
	Name         string // 品牌名称
	Initial      string // 品牌拼音首字母
	Status       uint   // 状态 1=启用 2=停用
	IsHot        uint
	SeriesGroups []CarSeriesGroup `gorm:"foreignKey:BrandId"`
	CreatedAt    time.Time
	UpdatedAt    time.Time
}
