package model

import (
	"github.com/shopspring/decimal"
	"time"
)

type CarEdit struct {
	Id       uint                `gorm:"primaryKey"`
	CarId    uint                // 车辆id
	Car      Car                 `gorm:"foreignKey:CarId"`
	BrokerId uint                // 经纪人id
	Broker   Broker              `gorm:"foreignKey:BrokerId"`
	DealerId uint                // 挂载门店id
	Dealer   BrokerBusinessStore `gorm:"foreignKey:DealerId"`

	MainPhoto          string          // 车辆主图
	Color              string          // 车身颜色
	ParkingNo          string          // 车位编号
	StockStatus        uint            // 库存状态 1=外出 2=在厅 3=整备
	InteriorColor      string          // 内饰颜色
	UseCharacter       uint            // 使用性质 1=非运营 2=运营 3=营转非 4=租赁非运营 5=租赁运营
	LocationProvinceId uint            // 车辆所在地-省
	LocationCityId     uint            // 车辆所在地-市
	LocationCity       Area            `gorm:"foreignKey:LocationCityId"`
	ShamMileage        decimal.Decimal // 虚假里程
	InstallationCost   decimal.Decimal // 加装费用
	Condition          string          // 车况

	Photos        []CarEditPhoto `gorm:"foreignKey:OrderId;References:Id"`
	AuditStatus   uint           //
	DealerAuditId uint           // 车商审核
	DealerAudit   DealerAuditing `gorm:"foreignKey:DealerAuditId"`
	CreatedAt     time.Time
	UpdatedAt     time.Time
}
