package model

import (
	"github.com/shopspring/decimal"
	"gorm.io/gorm"
	"time"
)

type CustomerCar struct {
	Id            uint            `gorm:"primaryKey"`
	CustomerId    uint            // 车辆id
	ModelId       uint            // 车型id
	Model         CarModel        `gorm:"foreignKey:ModelId;references:ModelId"`
	Owner         string          // 所属人
	LicensePlate  string          // 车牌号
	Vin           string          // 车架号
	Engine        string          // 发动机号
	LicensingDate time.Time       // 上牌日期
	CarType       string          // 车辆类型
	Nature        string          // 使用性质
	Color         string          // 车身颜色
	Mileage       decimal.Decimal // 里程
	CreatedAt     time.Time
	UpdatedAt     time.Time
	DeletedAt     gorm.DeletedAt
}
