package model

import "time"

const (
	CustomerMessageTypeNormal   = 1 // 常规消息
	CustomerMessageTypeContract = 2 // 合同提示
	CustomerMessageTypeOrder    = 3 // 订单提示
	CustomerMessageTypeInvite   = 4 // 邀约提示
)

const (
	CustomerMessageStatusNotRead = 1 // 未读
	CustomerMessageStatusRead    = 2 // 已读
)

func (*CustomerMessage) GetTypeName(tp uint) (result string) {
	switch tp {
	case CustomerMessageTypeNormal:
		return "常规消息"
	case CustomerMessageTypeContract:
		return "合同提示"
	case CustomerMessageTypeOrder:
		return "订单提示"
	case CustomerMessageTypeInvite:
		return "邀约提示"
	default:
		return "未知"
	}
}

type CustomerMessage struct {
	Id           uint     `gorm:"primaryKey"`
	CustomerId   uint     // 客户id
	Customer     Customer `gorm:"foreignKey:CustomerId"`
	Type         uint     // 消息类型
	Status       uint     // 1=未读 2=已读
	SenderUserId uint
	Title        string
	Content      string
	CreatedAt    time.Time
}
