package model

import (
	"time"
)

const (
	CustomerTrailInitiatorTypeCustomer = 1 // 客户
	CustomerTrailInitiatorTypeBroker   = 2 // 经纪人

	CustomerTrailContentTypeText    = 1 // 文本
	CustomerTrailContentTypeInvite  = 2 // 邀约看车
	CustomerTrailContentTypeReserve = 3 // 邀约卖车
)

type CustomerTrail struct {
	Id            uint   `gorm:"primaryKey"`
	CustomerId    uint   // 客户id
	Type          string // 类型
	InitiatorId   uint   // 发起人id
	InitiatorName string // 发起人
	InitiatorType uint   // 发起人类型 1=客户 2=经纪人
	ContentType   uint   // 内容类型 1=文本 2=邀约看车 3=邀约卖车
	ContentId     uint   // 内容id
	Content       string // 内容
	CreatedAt     time.Time
}
