package model

import (
	"database/sql"
	"time"
)

const (
	DealerAuditStatusAudit  = 1 // 待审核
	DealerAuditStatusAdopt  = 2 // 审核通过
	DealerAuditStatusReject = 3 // 审核驳回
)

type DealerAudit struct {
	Id          uint         `gorm:"primaryKey"`
	DealerId    uint         // 车商id
	Dealer      *Dealer      `gorm:"foreignKey:DealerId"`
	Status      uint         // 1=未审核 2=审核通过 3=审核驳回
	AuditAt     sql.NullTime // 审核时间
	Reason      string       // 驳回原因
	AuditUserId uint         // 审核人
	AuditUser   Manage       `gorm:"foreignKey:AuditUserId"`
	CreatedAt   time.Time
	UpdatedAt   time.Time
}
