package model

import (
	"github.com/shopspring/decimal"
	"time"
)

const (
	OrderAssessTypeCustomer = 1 // 客户订单
	OrderAssessTypeBroker   = 2 // 经纪人订单
	OrderAssessTypeDealer   = 3 // 车商订单

	OrderAssessKindEstimate = 1 // 评估次数
	OrderAssessKindContract = 2 // 合同数量

	OrderAssessStatusUnPay = 1 // 待付款
	OrderAssessStatusPay   = 2 // 付款成功
)

type OrderAssess struct {
	Id        uint            `gorm:"primaryKey"`
	OrderSn   string          // 订单编号
	Type      uint            // 订单类型 1=客户订单 2=经纪人订单 3=车商订单
	Kind      uint            // 余量种类1=评估2=合同
	UserId    uint            // 用户id
	Amount    decimal.Decimal // 充值金额
	Count     uint            // 充值次数
	PayType   uint            // 付款类型 1=微信支付 2=支付宝支付 3=小程序支付
	Status    uint            // 订单状态 1=待付款 2=付款成功
	CreatedAt time.Time
	UpdatedAt time.Time
}
