package model

import (
	"database/sql"
	"time"
)

const (
	OrderCallCarRefundStatusAudit  = 1 // 未审核
	OrderCallCarRefundStatusAdopt  = 2 // 审核通过
	OrderCallCarRefundStatusReject = 3 // 审核驳回
)

type OrderCallCarRefund struct {
	Id           uint          `gorm:"primaryKey"`
	OrderId      uint          // 订单id
	Order        *OrderCallCar `gorm:"foreignKey:OrderId"`
	Reason       string        // 退款原因
	Proof        string        // 退款凭证
	Status       uint          // 1=未审核 2=审核通过 3=审核驳回
	AuditAt      sql.NullTime  // 审核时间
	RejectReason string        // 驳回原因
	AuditUserId  uint          // 审核人
	AuditUser    Manage        `gorm:"foreignKey:AuditUserId"`
	CreatedAt    time.Time
	UpdatedAt    time.Time
}
