package model

import (
	"database/sql"
	"time"
)

const (
	OrderDealerConsignmentAuditStatusAudit  = 1 // 待审核
	OrderDealerConsignmentAuditStatusAdopt  = 2 // 审核通过
	OrderDealerConsignmentAuditStatusReject = 3 // 审核驳回
)

type OrderDealerConsignmentAudit struct {
	Id          uint         `gorm:"primaryKey"`
	OrderId     uint         // 订单id
	Status      uint         // 1=未审核 2=审核通过 3=审核驳回
	AuditAt     sql.NullTime // 审核时间
	Reason      string       // 驳回原因
	AuditUserId uint         // 审核人
	CreatedAt   time.Time
	UpdatedAt   time.Time
}
