package model

import (
	"github.com/shopspring/decimal"
	"time"
)

const (
	OrderEstimatePayTypeCustomer = 1 // 客户订单
	OrderEstimatePayTypeBroker   = 2 // 经纪人订单

	OrderEstimatePayStatusUnPay  = 1 // 待付款
	OrderEstimatePayStatusPay    = 2 // 付款成功
	OrderEstimatePayStatusRefund = 3 // 退款成功

	OrderEstimatePayAmount = 3 // 单次付款金额
)

type OrderEstimatePay struct {
	Id        uint            `gorm:"primaryKey"`
	OrderSn   string          // 订单编号
	Type      uint            // 订单类型 1=客户订单 2=经纪人订单
	UserId    uint            // 用户id
	Amount    decimal.Decimal // 金额
	PayType   uint            // 付款类型 1=微信支付 2=支付宝支付 3=小程序支付
	Status    uint            // 订单状态 1=待付款 2=付款成功 3=退款成功
	CreatedAt time.Time
	UpdatedAt time.Time
}
