package model

import (
	"time"
)

const (
	OrderInviteStatusIng    = 1 // 待赴约
	OrderInviteStatusFinish = 2 // 已赴约
)

type OrderInvite struct {
	Id         uint      `gorm:"primaryKey"`
	CustomerId uint      // 客户id
	BrokerId   uint      // 经纪人id
	CarId      uint      // 预定车辆
	Car        Car       `gorm:"foreignKey:CarId"`
	InviteAt   time.Time // 邀约时间
	Address    string    // 邀约地址
	Remark     string    // 备注
	Status     uint      // 邀约状态 1=待赴约 2=已赴约
	CreatedAt  time.Time
	UpdatedAt  time.Time
}
