package model

import (
	"github.com/shopspring/decimal"
	"gorm.io/gorm"
	"time"
)

const (
	PlaybillStatusEnabled  = 1 // 启用
	PlaybillStatusDisabled = 2 // 停用
)

type Playbill struct {
	Id        uint            `gorm:"primaryKey"`
	Path      string          // 底图
	Status    uint            // 状态 1=启用 2=停用
	AxisX     decimal.Decimal // x轴
	AxisY     decimal.Decimal // y轴
	Size      decimal.Decimal // 二维码尺寸
	Sort      uint            // 排序
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt gorm.DeletedAt
}
