package model

import (
	"gorm.io/gorm"
	"time"
)

type SettingMenu struct {
	Id        uint             `gorm:"primaryKey"`
	Level     uint             // 菜单等级
	ParentId  uint             // 父菜单id
	Name      string           // 路由name
	Path      string           // 路由path
	Hidden    uint             // 是否隐藏 1=隐藏 2=不隐藏
	Component string           // 前端文件路径
	Sort      uint             // 排序
	Type      uint             // 类型 1=目录 2=菜单 3=按钮
	Title     string           // 展示名称
	Icon      string           // 图标
	Apis      []SettingMenuApi `gorm:"foreignKey:MenuId"`
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt gorm.DeletedAt
}
