package model

import "github.com/shopspring/decimal"

type SplitAccountBroker struct {
	Id         uint            `gorm:"primaryKey"`
	AccountId  uint            // 分账id
	Account    SplitAccount    `gorm:"foreignKey:AccountId"`
	BrokerId   uint            // 出资人id
	Broker     Broker          `gorm:"foreignKey:BrokerId"`
	Amount     decimal.Decimal // 出资额
	BillAmount decimal.Decimal // 其他费用总额
	Profit     decimal.Decimal // 所得利润
}
