package model

import (
    "time"
)

const (
    WalletAssessHistoryUserTypeDealer = 1 // 车商
    WalletAssessHistoryUserTypeBroker = 2 // 经纪人

    WalletAssessHistoryRecharge = 1 // 充值
    WalletAssessHistoryUse      = 2 // 余量使用
    WalletAssessHistoryRefund   = 3 // 余量返还

    WalletAssessHistoryKindEstimate            = 1 // 评估
    WalletAssessHistoryKindContractConsignment = 2 // 寄售合同
    WalletAssessHistoryKindContractPurchase    = 3 // 收购合同
    WalletAssessHistoryKindContractSale        = 4 // 出售合同
    
)

type WalletAssessHistory struct {
    Id        uint `gorm:"primaryKey"`
    UserType  uint // 身份 1=车商 2=经纪人
    UserId    uint // 车商/经纪人id
    Type      uint // 类型 1=充值 2=使用 3=返还
    Kind      uint // 余量种类1=评估2=寄售合同 3=收购合同 4=出售合同
    OrderId   uint // 操作id
    Count     int  // 操作次数
    CreatedAt time.Time
    UpdatedAt time.Time
}
