package router

import (
	"base/app/controller/callback"
	"github.com/gin-gonic/gin"
)

func callbackRouter(router *gin.RouterGroup) {
	lgyfController := callback.Lgyf{}
	{
		router.POST("lgyf/pay", lgyfController.Pay)
	}
	cmccController := callback.Cmcc{}
	{
		router.Any("cmcc/record", cmccController.Record)      // 录音接收
		router.Any("cmcc/start", cmccController.Start)        // 呼叫起始
		router.Any("cmcc/end", cmccController.End)            // 呼叫结束
		router.Any("cmcc/ring_down", cmccController.RingDown) // 振铃
	}
	// 微信支付
	wxpayController := callback.Wxpay{}
	{
		router.Any("wxpay/notify", wxpayController.Notify) // 微信支付回调
	}
	// 支付宝支付
	alipayController := callback.Alipay{}
	{
		router.Any("alipay/notify", alipayController.Notify) // 支付宝支付回调
	}
	// 腾讯回调
	tencentController := callback.Tencent{}
	{
		router.Any("tencent/sign", tencentController.Sign) // 电子签回调
	}
}
