package middleware

import (
	"base/app/lib/bean"
	"base/app/logic/manage"
	"base/app/logic/manage/user"
	"base/app/model"
	"git.oa00.com/go/mysql"
	"github.com/gin-gonic/gin"
)

// ManageAuth @Title 权限验证
func ManageAuth(c *gin.Context) {
	ManageLogin(c)
	manageInfo := user.ManageLogic.GetManageInfo(c)
	if manageInfo.Id == 0 {
		bean.Response.ResultFail(c, 100000, "用户未登录")
		c.Abort()
		return
	}
	// 账户验证
	if manageInfo.Status == model.ManageStatusDisabled {
		bean.Response.ResultFail(c, 100001, "账号已停用")
		c.Abort()
		return
	}
}

// ManageLogin @Title 登录信息
func ManageLogin(c *gin.Context) {
	token := c.GetHeader("Manage-Token")
	if token == "" {
		return
	}
	manageId, err := manage.LoginLogic.Auth(token)
	if err != nil {
		return
	}
	manage := model.Manage{Id: manageId}
	if mysql.Db.First(&manage).Error != nil {
		return
	}
	c.Set("manageId", manageId)
	c.Set("manage", manage)
}
